/*
 * Copyright (c) 2006, TopCoder, Inc. All rights reserved.
 *
 * Author: TCSDEVELOPER, Ghostar
 * Version: 1.0
 */

using System;

namespace TopCoder.Document.Index.Persistence.DB
{
    /// <summary>
    /// This exception is thrown by both the DB implementations in this package if a given namespace doesn't contain
    /// the necessary information to load in all configuration values for each class.
    /// </summary>
    public class DBPersistenceConfigurationException : ApplicationException
    {
        /// <summary>
        /// This constructor creates a new <see cref="DBPersistenceConfigurationException"/> with the given message.
        /// </summary>
        /// <param name="message">The message to use.</param>
        public DBPersistenceConfigurationException(string message)
            : this(message, null)
        {
        }

        /// <summary>
        /// This constructor creates a new <see cref="DBPersistenceConfigurationException"/> with the given message and
        /// cause.
        /// </summary>
        /// <param name="message">The message to use.</param>
        /// <param name="cause">The inner exception (cause) to use.</param>
        public DBPersistenceConfigurationException(string message, Exception cause)
            : base(message, cause)
        {
        }
    }
}